/*
 * This file is part of Splashy.
 * 
 * Splashy is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any
 * later version.
 * 
 * Splashy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with Splashy; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA 02110-1301 USA 
 */
#ifndef _common_functions_H
#define _common_functions_H

#include <glib.h>

inline gboolean splashy_init (); /* initializes splashy configuration */
void splashy_chvt();                    /* allows switching tty's */

const gchar* splashy_get_theme_dir();   /* returns directory path to current theme */

/**
 * @desc use to test strings in special files/buffers 
 */
inline gboolean splashy_test_env_pattern (const gchar * perr_pattern,
                                      const gchar * filename);
inline gboolean
splashy_search_pattern_str (const gchar * perr_pattern, const gchar * str, gshort use_ignore);
inline gboolean
splashy_search_pattern (const gchar * perr_pattern, const gchar * filename, gshort use_ignore);
int open_nb(char *buf); /* opens a file descriptor in a non-blocking way */
void switch_console(int vt, int vt_fd);

#endif /* _common_functions_H */
